Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class DOMErrorImpl

    java.lang.Object
      weblogic.apache.xerces.dom.DOMErrorImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMError

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMErrorImpl
extends Object
implements org.apache.xerces.dom3.DOMError

`DOMErrorImpl` is an implementation that describes an error. Note: The error object that describes the error might be reused by Xerces implementation, across multiple calls to the handleEvent method on DOMErrorHandler interface.

See also the Document Object Model (DOM) Level 3 Core Specification.

Field Summary
`Exception` | `fException` Deprecated.
`DOMLocatorImpl` | `fLocator` Deprecated.
`String` | `fMessage` Deprecated.
`short` | `fSeverity` Deprecated.

Fields inherited from interface org.apache.xerces.dom3.DOMError
`SEVERITY_ERROR, SEVERITY_FATAL_ERROR, SEVERITY_WARNING`

Constructor Summary
`DOMErrorImpl()` Deprecated. Default constructor.
`DOMErrorImpl(short severity, XMLParseException exception)` Deprecated. Exctracts information from XMLParserException)

Method Summary
`org.apache.xerces.dom3.DOMLocator` | `getLocation()` Deprecated. The location of the error.
`String` | `getMessage()` Deprecated. An implementation specific string describing the error that occured.
`Object` | `getRelatedException()` Deprecated. The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException".
`short` | `getSeverity()` Deprecated. The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.
`void` | `reset()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fException

    public Exception fException

  Deprecated.

### fLocator

    public DOMLocatorImpl fLocator

  Deprecated.

### fMessage

    public String fMessage

  Deprecated.

### fSeverity

    public short fSeverity

  Deprecated.

Constructor Detail

### DOMErrorImpl

    public DOMErrorImpl()

  Deprecated.
  Default constructor.

### DOMErrorImpl

    public DOMErrorImpl(short severity,
                        XMLParseException exception)

  Deprecated.
  Exctracts information from XMLParserException)

Method Detail

### getLocation

    public org.apache.xerces.dom3.DOMLocator getLocation()

  Deprecated.
  The location of the error.

  Specified by:
    `getLocation` in interface `org.apache.xerces.dom3.DOMError`

### getMessage

    public String getMessage()

  Deprecated.
  An implementation specific string describing the error that occured.

  Specified by:
    `getMessage` in interface `org.apache.xerces.dom3.DOMError`

### getRelatedException

    public Object getRelatedException()

  Deprecated.
  The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException". (F2F 26 Sep 2001)

  Specified by:
    `getRelatedException` in interface `org.apache.xerces.dom3.DOMError`

### getSeverity

    public short getSeverity()

  Deprecated.
  The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.

  Specified by:
    `getSeverity` in interface `org.apache.xerces.dom3.DOMError`

### reset

    public void reset()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD